program rkmain
  use rkmod
  implicit none
  real(kind=dpkind),dimension(3) :: x = [0.5, 0.5, 0.5]
  integer :: max_i = 5000
  real(kind=dpkind), allocatable, dimension(:, :) :: r

  allocate(r(max_i, 4))
  call calc(x, max_i, r)
  print *, r
end program

